<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.rhzfFz.mapper.RhzfFzMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rhzfFzResultMap" type="org.springblade.modules.log.rhzfFz.entity.RhzfFzEntity">
        <result column="id" property="id"/>
        <result column="fw_id" property="fwId"/>
        <result column="type" property="type"/>
        <result column="fz_xm" property="fzXm"/>
        <result column="fz_sfzh" property="fzSfzh"/>
        <result column="fz_dh" property="fzDh"/>
        <result column="fz_dw" property="fzDw"/>
        <result column="fz_jzd" property="fzJzd"/>
        <result column="sfzcjz" property="sfzcjz"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="vx" property="vx"/>
        <result column="hjdz" property="hjdz"/>
        <result column="tsqk" property="tsqk"/>
    </resultMap>


    <select id="selectRhzfFzPage" resultMap="rhzfFzResultMap">
        select * from log_rhzf_fz where is_deleted = 0
    </select>


    <select id="exportRhzfFz" resultType="org.springblade.modules.log.rhzfFz.excel.RhzfFzExcel">
        SELECT * FROM log_rhzf_fz ${ew.customSqlSegment}
    </select>

</mapper>
